Name: recoll
Version: 1.8.2
Release: alt1

%define pre %nil
%def_without lyx

Summary: Recoll is a personal full text search package
License: GPL
Group: File tools

Url: http://www.recoll.org

Source0: %url/%name-%version%pre.tar.gz
Source1: recoll_ru.ts
Source2: recoll_ru.qm
Source3: recoll.desktop
Source4: embedSpaceFilters.tar.gz
Source5: recoll_uk.ts
Source6: recoll_uk.qm
Source7: recoll.png

Packager: Michael Shigorin <mike@altlinux.org>

# Automatically added by buildreq on Mon Dec 05 2005
BuildRequires: fontconfig freetype2 gcc-c++ libqt3-devel libqt3-settings libstdc++-devel libxapian-devel xorg-x11-devel zlib-devel

%{?!_desktopdir:%define _desktopdir %_datadir/applications}

%description
Recoll is a personal full text search package based on a very strong
backend (Xapian), for which it provides an easy to use, feature-rich,
easy administration interface.

Recommends: antiword catdoc unrtf xpdf-utils ghostscript-utils

%prep
%setup -q -n %name-%version%pre
#tar -C filters -zxf %SOURCE4
#cp -a %SOURCE1 %SOURCE2 %SOURCE5 %SOURCE6 qtgui/i18n/

%build
unset QTDIR || : ; . /etc/profile.d/qt3dir.sh ; PATH=$PATH:$QTDIR/bin
export CXXFLAGS="%optflags"
%configure
%make_build

%install
unset QTDIR || : ; . /etc/profile.d/qt3dir.sh ; PATH=$PATH:$QTDIR/bin
mkdir -p %buildroot%_menudir/
subst 's/openoffice/ooffice/g' sampleconf/{mimeconf,mimeview}
%if_without lyx
rm filters/rcllyx
%endif

%makeinstall
install -pD %SOURCE3 %buildroot%_desktopdir/%name.desktop

%files
%_bindir/*
%_datadir/%name/
%_datadir/icons/*/*/*/*.png
%_desktopdir/*
%_man1dir/*
%_man5dir/*
%doc ChangeLog README

%post
%update_menus

%postun
%clean_menus

# TODO:
# - update ru/uk translations
# - properly wrap filters/rcllyx

%changelog
* Tue May 22 2007 Michael Shigorin <mike@altlinux.org> 1.8.2-alt1
- 1.8.2
- built against xapian 1.0.0
- removed patches
- s/openoffice/ooffice/ mimeconf mimeview

* Mon Mar 12 2007 Michael Shigorin <mike@altlinux.org> 1.8.1-alt1
- 1.8.1
- built against xapian 0.9.10
- removed debian menu (fd.o entry in place)
- disabled Lyx filter by default (would require lyx-qt which
  brings in tetex -- that's overkill for many "desktop" users)

* Tue Jan 16 2007 Michael Shigorin <mike@altlinux.org> 1.7.5-alt1
- 1.7.5
- should also index email attachments (but correctly; 1.7.4 
  has some lapses there)

* Tue Nov 28 2006 Michael Shigorin <mike@altlinux.org> 1.6.2-alt1
- 1.6.2
- updated icon location

* Thu Nov 09 2006 Michael Shigorin <mike@altlinux.org> 1.5.10-alt1
- 1.5.10 (ah... why not bother? :)

* Thu Nov 09 2006 Michael Shigorin <mike@altlinux.org> 1.5.6-alt1
- 1.5.6 (I know about 1.5.10, just want to go home today)
- rebuilt against xapian 0.9.9

* Thu Oct 19 2006 Michael Shigorin <mike@altlinux.org> 1.5.5-alt1
- 1.5.5

* Thu Oct 19 2006 Michael Shigorin <mike@altlinux.org> 1.5.4-alt3
- updated Russian and Ukrainian translations

* Wed Oct 11 2006 Michael Shigorin <mike@altlinux.org> 1.5.4-alt2
- rebuilt against xapian 0.9.7
- added an icon

* Tue Oct 03 2006 Michael Shigorin <mike@altlinux.org> 1.5.4-alt1
- 1.5.4 (major feature enhancements)

* Mon May 15 2006 Michael Shigorin <mike@altlinux.org> 1.4.3-alt1
- 1.4.3
  + translations merged upstream
- rebuilt against libxapian-0.9.6

* Fri May 05 2006 Michael Shigorin <mike@altlinux.org> 1.4.2-alt1
- 1.4.2 (thanks gns@ for pinging me)
  + similar documents search
  + query history
  + term completion
  + improved usability, e.g. cancel during indexation
- built against xapian-core 0.9.5
- additional filter pack seems unneeded
- updated translations
- added an attempt at icon
- pretty Url
- minor spec cleanup

* Sun Apr 09 2006 Michael Shigorin <mike@altlinux.org> 1.3.3-alt3
- found a spec typo during backporting that made 1.3.3-alt2
  no different from 1.3.3-alt1

* Wed Apr 05 2006 Michael Shigorin <mike@altlinux.org> 1.3.3-alt2
- added fixed filter pack provided by the author
  (reportedly fixes some problems with filenames containing spaces)

* Tue Apr 04 2006 Michael Shigorin <mike@altlinux.org> 1.3.3-alt1
- 1.3.3
- got the most important part of patch4 (OOo wrapper name) back
- merged 3.0 spec changes (menu file)

* Sat Apr 01 2006 Michael Shigorin <mike@altlinux.org> 1.3.1-alt1
- 1.3.1
- translations accepted upstream (thanks Jean for gently
  pinging me to update Russian)

* Thu Mar 30 2006 Michael Shigorin <mike@altlinux.org> 1.3.1-alt0.2
- 1.3.1pre2

* Tue Mar 28 2006 Michael Shigorin <mike@altlinux.org> 1.3.1-alt0.1
- 1.3.1pre1
- removed patch4

* Fri Mar 10 2006 Michael Shigorin <mike@altlinux.org> 1.2.3-alt0.M30.1
- built for M30
- added Debian menu file
- added %%optflags

* Fri Mar 10 2006 Michael Shigorin <mike@altlinux.org> 1.2.3-alt1
- 1.2.3
- upstream fixed installation, no more ugly spec hacks; good
- updated translation; thanks Yury Kashirin for lupdate hint
- added desktop file (maybe lame one)
- added defaults fixes (first try); if you already have ~/.recoll,
  might need to have a glance yourself

* Mon Feb 06 2006 Michael Shigorin <mike@altlinux.org> 1.2.2-alt1
- 1.2.2
- patch2 temporarily disabled, need to update translation

* Thu Jan 26 2006 Michael Shigorin <mike@altlinux.org> 1.1.0-alt1
- 1.1.0
  + maybe case (in)sensitivity issue is fixed
- removed patch3

* Thu Jan 26 2006 Michael Shigorin <mike@altlinux.org> 1.0.16-alt1
- 1.0.16

* Mon Dec 19 2005 Michael Shigorin <mike@altlinux.org> 1.0.15-alt1
- 1.0.15
- fixed ru translation install/use, thanks eostapets@
- spec cleanup

* Sat Dec 10 2005 Michael Shigorin <mike@altlinux.org> 1.0.14-alt2
- add Russian translation

* Fri Dec 09 2005 Michael Shigorin <mike@altlinux.org> 1.0.14-alt1
- 1.0.14
- don't apply hackaround (doesn't help that particular case)

* Tue Dec 06 2005 Michael Shigorin <mike@altlinux.org> 1.0.10-alt2
- added recommended companion packages to description
- added hackaround by eostapets@ to quickly do something
  with non-7bit icase search

* Mon Dec 05 2005 Michael Shigorin <mike@altlinux.org> 1.0.10-alt1
- built for ALT Linux

